/******************************* Copyright notice *******************************
Copyright (C)2002 by Andrei Loskutov <loskutov@gmx.de>. All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
********************************************************************************/

/**
 * Created on 02.12.2002
 *
 * To change this generated comment edit the template variable "filecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of file comments go to
 * Window>Preferences>Java>Code Generation.
 */
package adiag.gui;

/**
 * @author Andy the Great
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class Commands {

    public static final String COMMAND_EXPLORE_ONE_BRANCH = "get info's for this branch";
    /** one of menu names */
    public static final String COMMAND_EXPLORE_ALL_BRANCHES = "get info's over all branches";
    /** one of menu names */
    public static final String COMMAND_CHANGE_FILE = "view another depot file...";
    /** one of menu names */
    public static final String COMMAND_CHANGE_LOGFILE = "load view from logfile...";
    /** one of menu names */
    public static final String COMMAND_REDO_LAYOUT = "redo layout";
    /** one of menu names */
    public static final String COMMAND_SAVE_AS_IMAGE = "save as image(s) + html...";
    /** one of menu names */
    public static final String COMMAND_SET_PROPS = "set properties...";
    /** one of menu names */
    public static final String COMMAND_ABOUT = "about";
    /** one of menu names */
    public static final String COMMAND_HELP = "help";
    /** one of menu names */
    public static final String COMMAND_DIFF = "diff to...";
    /** one of menu names */
    public static final String COMMAND_COPY = "copy path to clipboard";
    /** one of menu names */
    public static final String COMMAND_COPY_DATA = "copy data to clipboard";
    /** one of menu names */
    public static final String COMMAND_SAVE_AS_TEXT= "save data to file...";
    /** one of menu names */
    public static final String COMMAND_SWITCH_ON_OFF_LINE= "switch on/offline";
    /** one of menu names */
    public static final String COMMAND_NEW_WINDOW= "clone view / open new window";
    /** one of menu names */
    public static final String COMMAND_COLLAPSE_ALL = "collapse/expand all branches";
    /** one of menu names */
    public static final String COMMAND_COLLAPSE_BRANCH = "collapse/expand this branch";
    /** one of menu names */
    public static final String COMMAND_ZOOM = "    zoom ";

    /** one of menu names */
    public static final String COMMAND_HOME = "scroll to home";

    /** one of menu names */
    public static final String COMMAND_END = "scroll to end";
}
